## gate.util.persistence
Class GateObjectOutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--java.io.ObjectOutputStream
                  |
                  +--gate.util.persistence.GateObjectOutputStream

All Implemented Interfaces:
  DataOutput, ObjectOutput, ObjectStreamConstants

public class GateObjectOutputStream
extends ObjectOutputStream

Title: Gate2 Description: Copyright: Copyright (c) 2000 Company: University Of Sheffield

Inner classes inherited from class java.io.ObjectOutputStream
`ObjectOutputStream.PutField, ObjectOutputStream.PutFieldImpl`

Field Summary
`private OutputStream` `out`

Fields inherited from class java.io.ObjectOutputStream
`abortIOException, blockDataMode, buf, cdata, CDATA_MAX_LEN, classDescStack, count, currentClassDesc, currentObject, currentPutFields, data, dos, enableReplace, enableSubclassImplementation, handleTable, INITIAL_BUFFER_SIZE, nextReplaceOffset, NOT_REPLACEABLE, recursionDepth, REPLACEABLE, replaceObjects, useDeprecatedExternalizableFormat, writeObjectArglist`

Fields inherited from interface java.io.ObjectStreamConstants

`baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

Constructor Summary
`GateObjectOutputStream(OutputStream out)`

Method Summary
`void` `writeObjectOverride(Object obj)`

Methods inherited from class java.io.ObjectOutputStream

`addReplacement, annotateClass, annotateProxyClass, bufferedWrite, checkSpecialClasses, checkSubstitutableSpecialClasses, close, defaultWriteObject, doublesToBytes, drain, enableReplaceObject, floatsToBytes, flush, getObjectFieldValue, getPrimitiveFieldValues, getUTFLength, invokeObjectWriter, lookupReplace, outputArray, outputClass, outputClassDescriptor, outputClassFields, outputObject, outputString, putFields, replaceObject, reset, resetStream, serializeNullAndRepeat, setBlockData, useProtocolVersion, write, write, write, writeBlockDataHeader, writeBoolean, writeByte, writeBytes, writeCanonical, writeChar, writeChars, writeClassDescriptor, writeClassDescriptor0, writeCode, writeDouble, writeFields, writeFloat, writeInt, writeInternal, writeLong, writeObject, writeShort, writeStreamHeader, writeTypeString, writeUTF, writeUTFBody`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Methods inherited from interface java.io.ObjectStreamConstants
`<clinit>`

Field Detail

### out

    private OutputStream out

Constructor Detail

### GateObjectOutputStream

    public GateObjectOutputStream(OutputStream out)
                           throws IOException

Method Detail

### writeObjectOverride

    public void writeObjectOverride(Object obj)
                             throws IOException

  Overrides:
    `writeObjectOverride` in class `ObjectOutputStream`